curl -X POST https://zeplo.ai/api/channels \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"name": "Support Channel",
"phoneNumberId": "647015955153740",
"accessToken": "EAAxxxxxxxxxx...",
"wabaId": "1234567890"
}'
{
"success": true,
"data": {
"id": 2,
"name": "Support Channel",
"phoneNumberId": "647015955153740",
"status": "connected",
"createdAt": "2026-01-15T12:00:00Z"
}
}
Channels
POST Create Channel
Connect a new WhatsApp Business channel.
POST
/
api
/
channels
curl -X POST https://zeplo.ai/api/channels \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"name": "Support Channel",
"phoneNumberId": "647015955153740",
"accessToken": "EAAxxxxxxxxxx...",
"wabaId": "1234567890"
}'
{
"success": true,
"data": {
"id": 2,
"name": "Support Channel",
"phoneNumberId": "647015955153740",
"status": "connected",
"createdAt": "2026-01-15T12:00:00Z"
}
}
Create channel
POST /api/channels
Add a new WhatsApp Business channel connection.
Headers
string
required
Session cookie (login via POST /api/auth/login)
string
required
Display name for the channel
string
required
WhatsApp phone number ID
string
required
WhatsApp access token
string
required
WhatsApp Business Account ID
string
Business account ID
curl -X POST https://zeplo.ai/api/channels \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"name": "Support Channel",
"phoneNumberId": "647015955153740",
"accessToken": "EAAxxxxxxxxxx...",
"wabaId": "1234567890"
}'
{
"success": true,
"data": {
"id": 2,
"name": "Support Channel",
"phoneNumberId": "647015955153740",
"status": "connected",
"createdAt": "2026-01-15T12:00:00Z"
}
}
